curl --request POST \
--url https://api-sandbox.orum.io/deliver/booktransfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/booktransfers"
payload = {
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
book_transfer_reference_id: '<string>',
amount: 2,
currency: 'USD',
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/booktransfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"book_transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
}
}
],
"metadata": {},
"source": {
"subledger_reference_id": "<string>"
},
"destination": {
"subledger_reference_id": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Create a book transfer
Create a book transfer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
v2022-09-21 Body
Unique reference id for the transfer group
1Transfer amount in integral cents (example: 100 = $1). Must be greater than zero.
x >= 1Currency code in ISO 4217 format. Only USD is supported.
USD Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.
Information about the ultimate source of the book transfer
Show child attributes
Show child attributes
Information about the ultimate destination of the book transfer.
Show child attributes
Show child attributes
Response
successful response.
Show child attributes
Show child attributes
Was this page helpful?